:root {
    --text-width: 38.6rem;
    --smaller-text: 0.9rem;
    --text-color: black;
    --link-color: rgb(37, 69, 165);
    --background-color: #1e3348;
    --details-background-color: #E8E8E8;
    --highlight-color: firebrick;
    font-size: 105%;
    font-family: "Helvetica", sans-serif;
    line-height: 1.5;
    overflow: auto;
    background-color: var(--background-color);
    color: var(--text-color);
    color-scheme: light dark;
    margin-left: calc(100vw - 100%);
    margin-right: 0;
}
body {
    background: radial-gradient(circle, rgba(111, 120, 125, 1) 0%, rgba(64, 74, 67, 1) 50%, rgba(13, 13, 11, 1) 100%);
}


@media (prefers-color-scheme: dark) {
    :root {
        --text-color: rgb(190, 186, 181);
        --link-color: rgb(83, 154, 212);
        --background-color: #1e3348;
        --details-background-color: #242426;
        --highlight-color: rgb(213, 67, 67);
    }

    img.dark-svg {
        filter: invert(0.8);
    }
}

body {
    margin: auto;
    max-width: var(--text-width);
    padding: 0.7em 0.7em;
    background: radial-gradient(circle, rgba(111, 120, 125, 1) 0%, rgba(64, 74, 67, 1) 50%, rgba(13, 13, 11, 1) 100%);
}

/* Header */

header {
    font-size: var(--smaller-text);
}

header > a {
    font-style: none;
    text-decoration: none;
}

header h1 {
    margin-bottom: 0;
    font-size: 1.5rem;
}

/* List of articles */

ul.articles {
    line-height: 1.4;
    padding: 0;
}

ul.articles>li {
    margin-bottom: 0.35em;
}

/* Headers */

h1 {
    font-size: 1.5rem;
}

h2 {
    font-size: 1.2rem;
}

h3 {
    font-size: 1rem;
}

/* Links */

a {
    text-decoration: underline;
    color: var(--text-color);
}

:target {
	color: var(--highlight-color);
}

a:hover {
    opacity: 0.7;
}

a[href ^="http"] {
    text-decoration: underline;
    color: var(--link-color);
}

a[href ^="http"]:visited {
    text-decoration-color: var(--background-color);
}

/* Code */

code {
    font-family: 'Courier New', monospace;
    font-size: 0.94em;
}

/* Blocks between text */

blockquote {
    border-left: 0.3em solid #CCC;
    font-size: var(--smaller-text);
}

ol, ul, blockquote {
    margin-left: 1em;
    margin-right: 1em;
    padding-left: 1em;
}

figure {
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

figcaption {
    font-size: var(--smaller-text);
    text-align: center;
}

img {
    display: block;
    max-width: 100%;
    margin: auto;
}

table {
    border-collapse: collapse;
}

table,
th,
td {
    border: 1px solid;
}

th,
td {
    padding: 0.1rem 0.3rem;
}

pre {
    background-color: var(--details-background-color);
    padding: 1rem;
    overflow-x: scroll;
    font-size: 1rem;
    line-height: 1.2;
}

details summary {
    cursor: pointer;
    background-color: var(--background-color);
}

details {
    background-color: var(--details-background-color);
}

details>p {
    padding: 0 0.5em;
}

details summary>* {
    display: inline;
}

/* SVG: some useful defaults */

svg.verzettelung circle, svg.verzettelung ellipse, svg.verzettelung line, svg.verzettelung path {
    stroke: var(--text-color);
}

svg.verzettelung path {
    fill: none;
}

svg.verzettelung text {
    fill: var(--text-color);
}

.katex {
    font-size: 1.13em;
}

.katex-display {
    overflow: auto hidden;
    /* Hack to prevent clipping */
    padding: 1px 0;
    margin: calc(1em - 1px) 0;
}

/* Footnotes */

.footnote {
    font-size: var(--smaller-text);
}

/* References */

.references {
    list-style: none;
    margin: 0;
    padding-left: 1em;
}

.references>li {
    text-indent: -1em;
}

/* Navigation */

footer {
    text-align: center;
    font-size: large;
}

footer a {
    text-decoration: none;
    display: inline-block;
    padding: 0.5em;
}

nav.top {
    display: flex;
    justify-content: flex-end;
    gap: 0.5em;
}

nav a {
    text-decoration: none;
}

nav.top a:first-of-type::before {
    content: "[";
    padding-right: 0.2em;
    font-weight: normal;
}

nav.top a:last-of-type::after {
    content: "]";
    padding-left: 0.2em;
    font-weight: normal;
}